#ifndef ENGINE_UI_H
# define ENGINE_UI_H

#include <raylib.h>

typedef struct {
	Texture2D	tex;
	Rectangle	rec;
	char*		str;
}	button;

bool	mouse_inbound(const Rectangle bound, const Vector2 mouse_pos);
button	create_button(Vector2 pos, char* tex_path, char* str);
void	destroy_button(button b);
bool	gui_button(button b);

#endif
